@charset "utf-8";

:root {
	--sp-safe: 149px;
	--sp-y: 0px;

	--sp-title-h: 590px;
	--sp-title-text-fs: 62px;

	--sp-submenu-item-fs: 20px;
	--sp-submenu-item-h: 90px;
	--sp-submenu-item-gap: 100px;

	--sp-kicker-fs: 32px;

	--sp-grid-left: 460px;
	--sp-grid-left-intro-aboutus: 580px;
	--sp-grid-left-intro-basicinfo: 180px;

	--sp-grid-gap: 64px;
	--sp-grid-text-fs: 22px;
	--sp-grid-text-lh: 37px;

	/* HISTORY */
	--sp-grid-history-left: 135px;
	--sp-grid-history-pair-left: 60px;

	--sp-grid-location-left: 160px;
}

.subpage {
	color: rgba(255, 255, 255, .92);
	height: var(--sp-title-h);
}
.subpage .section__bg.company {
	background: url('../img/company/bg-title-company.png') center top / cover no-repeat;
}
.subpage__inner {
	display: flex;
	height: 100%;
	align-items: center;
}
.subpage__content {
	display: flex;
	position: relative;
	width: 100%;
	max-width: none;
	height: 100%;
	padding-top: 0;
	padding-left: 0;
	padding-right: 0;
	box-sizing: border-box;
	transform: translateY(var(--sp-y));
	margin-left: 0;
	justify-content: center;
}
.subpage__title {
	display: inline-flex;
	font-family: Poppins, sans-serif;
	font-size: var(--sp-title-text-fs);
	font-weight: 800;
	line-height: 1.05;
	letter-spacing: -0.02em;
	text-align: center;
	align-items: center;
	justify-content: center;
}
.subpage__submenu {
	display: flex;
	position: absolute;
	width: 100vw;
	left: 50%;
	right: 50%;
	bottom: 0;
	margin-left: -50vw;
	margin-right: -50vw;
	background-color: rgba(0, 0, 0, .6);
	flex-shrink: 0;
	gap: var(--sp-submenu-item-gap);
	align-items: center;
	justify-content: center;
}
.subpage__submenuItem {
	display: inline-flex;
	font-size: var(--sp-submenu-item-fs);
	font-weight: 300;
	height: var(--sp-submenu-item-h);
	align-items: center;
	justify-content: center;
	cursor: pointer;
}
.subpage__submenuItem.selected {
	color: #b38dff;
}

.subpageBody {
	color: rgba(0, 0, 0, 1);
	margin: 100px 0;
}
.subpageBody.introInformation {
	background-color: #f4f6f8;
}

.section.subpageBody .section__inner {
	display: block;
	position: relative;
    width: 100%;
    max-width: 1700px;
    box-sizing: border-box;
    margin-left: auto;
    margin-right: auto;
    padding-left: 149px;
    padding-right: 149px;
	align-items: center;
}
.section.subpageBody.introInformation .section__inner {
	padding-top: 100px;
	padding-bottom: 100px;
}

.section.subpageBody .container {
	margin-left: auto !important;
    margin-right: auto !important;
}
.section.subpageBody .secHead {
    margin-left: 0 !important;
    margin-right: 0 !important;
    transform: none !important;

    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 24px;
    width: 100%;
    position: relative;

	padding-top: 0;
    padding-bottom: 0;
	margin-bottom: 0;
}
.subpageBody .kicker {
	font-size: var(--sp-kicker-fs);
    font-family: Poppins, sans-serif;
    font-weight: 600;
    letter-spacing: -0.04em;
    color: #503191;
}
.subpageBody .subpage__grid {
	display: grid;
	position: relative;
	height: 100%;
	grid-template-columns: var(--sp-grid-left) 1fr;
	gap: var(--sp-grid-gap);
	align-items: stretch;
	margin-top: 30px;
}
.subpageBody.introAboutus .subpage__grid {
	height: auto;
	grid-template-columns: var(--sp-grid-left-intro-aboutus) 1fr;
}
.subpageBody.introInformation .subpage__grid {
	height: auto;
	grid-template-columns: 50% 50%;
}
.subpageBody .subpage__grid .subpage__left p {
	font-size: var(--sp-grid-text-fs);
	line-height: var(--sp-grid-text-lh);
	/* 2026.02.20_arumizz */
	word-break: keep-all;
	overflow-wrap: anywhere;
}
.subpageBody .subpage__grid .subpage__left p:first-child {
	margin-top: 0;
}
.subpageBody .subpage__grid .subpage__right img {
	width: 100%;
	height: auto;
	object-fit: cover;
}
.infoPair {
	display: grid;
	font-size: var(--sp-grid-text-fs);
	grid-template-columns: var(--sp-grid-left-intro-basicinfo) 1fr;
	gap: 20px;
	border-bottom: 1px solid #d9d9d9;
}
.infoPair .name {
	display: flex;
	font-weight: 600;
	line-height: 37px;
	padding: 15px 0 15px 15px;
	align-items: center;
	min-height: 104px;
}
.infoPair .value {
	display: flex;
	font-weight: 400;
	line-height: 37px;
	padding: 15px 15px 15px 0;
	align-items: center;
}
.subpageBody .subpage__grid .subpage__left .infoPair:first-child,
.subpageBody .subpage__grid .subpage__right .infoPair:first-child {
	border-top: 3px solid #666;
}

.organDiagram {
	margin-top: 30px;
}

/* ----- HISTORY ----- */
.subpageBody.history .histories {
	margin-top: 30px;
}
.subpageBody.history .history__grid {
	display: grid;
	height: auto;
	grid-template-columns: var(--sp-grid-history-left) 1fr;
	border-top: 1px solid #d9d9d9;
}
.subpageBody.history .history__grid:first-child {
	border-top: 3px solid #666;
}
.subpageBody.history .history__grid:last-child {
	border-bottom: 1px solid #d9d9d9;
}
.history__left {
	font-size: 28px;
	font-weight: 800;
	line-height: normal;
	padding: 48px 0 55px 15px;
}
.history__right {
	padding: 48px 15px 55px 0;
}
.historyPair {
	display: grid;
	height: auto;
	grid-template-columns: var(--sp-grid-history-pair-left) 1fr;
	gap: 10px;
	margin-top: 36px;
}
.historyPair:first-child {
	margin-top: 3px;
}
.historyPair .month {
	display: flex;
	font-size: 24px;
	font-weight: 600;
	line-height: normal;
	justify-content: right;
}
.historyPair .desc {
	display: flex;
	font-size: 24px;
	font-weight: 400;
	line-height: normal;
	padding-left: 20px;
	color: #595959;
	/* 2026.02.20_arumizz */
	word-break: keep-all;
	overflow-wrap: anywhere;
}

/* ----- PARTNER ----- */
.subpageBody.partner .partner {
	margin-top: 30px;
}
.partner__group {
	margin-top: 30px;
	margin-bottom: 50px;
}
.partner__group .title {
	font-size: 24px;
	font-weight: 600;
}
.partner__group .items {
	display: flex;
	gap: 50px;
	border-top: 3px solid #666;
	border-bottom: 1px solid #d9d9d9;
	margin-top: 10px;
	padding: 45px 30px;
}
.partner__group .items .item {
	text-align: center;
}
.partner__group .items .item .desc {
	font-size: 20px;
	margin-top: 10px;
	color: #595959;
}

/* ----- LOCATION ----- */
.location__map {
	width: 100%;
	height: 500px;
	background-color: #efefef;
	margin-top: 30px;
}
.subpageBody.location .location__info {
	margin-top: 40px;
}
.subpageBody.location .location__info .location__grid {
	display: grid;
	font-size: var(--sp-grid-text-fs);
	grid-template-columns: var(--sp-grid-location-left) 1fr;
	gap: 20px;
	border-bottom: 1px solid #d9d9d9;
}
.subpageBody.location .location__info .location__grid:first-child {
	border-top: 3px solid #666;
}
.location__grid .location__left {
	font-weight: 600;
	padding: 24px 0 24px 15px;
}
.location__grid .location__right {
	padding: 24px 15px 24px 0;
}
.mapLinks {
	display: flex;
	gap: 10px;
	margin-top: 10px;
}
.mapLinks img {
	width: 70px;
	height: auto;
}

/* -------------------------------------------------------------------------- */

@media (max-width: 1400px) {
	:root {
		--sp-grid-text-fs: 18px;
		--sp-grid-left-intro-aboutus: 450px;
		--sp-grid-left-intro-basicinfo: 154px;
	}
	.infoPair .name {
		min-height: 83px;
	}
	.infoPair .value {
		line-height: 26px;
	}
}

@media (max-width: 1280px) {
	:root {
		--sp-title-h: 430px;
	}
	.subpage .section__inner {
		height: 100%;
		padding: 0;
	}
	.subpageBody.introInformation .subpage__grid {
		grid-template-columns: 1fr;
		gap: 0;
	}
	.infoPair {
		grid-template-columns: 1fr;
		gap: 5px;
	}
	.infoPair .name {
		min-height: auto;
		padding: 15px 15px 0 15px;
	}
	.infoPair .value {
		font-size: 16px;
		padding: 0 15px 15px 15px;
	}
	.subpageBody .subpage__grid .subpage__right .infoPair:first-child {
		border-top: none;
	}

}
@media (max-width: 1200px) {
	:root {
		--sp-safe: 0px;
		--sp-title-h: 390px;
		--sp-title-text-fs: 42px;
		--sp-submenu-item-fs: 16px;
		--sp-submenu-item-h: 60px;
		--sp-submenu-item-gap: 60px;

		--sp-grid-text-lh: 34px;
		--sp-grid-left-intro-aboutus: 350px;
	}
	.subpage__content {
		margin-right: auto;
	}

	/* HISTORY */
	.history__left {
		font-size: 24px;
		padding: 38px 0 45px 15px;
	}
	.history__right {
		padding: 38px 15px 45px 0;
	}
	.historyPair {
		margin-top: 24px;
	}
	.historyPair .month {
		font-size: 21px;
	}
	.historyPair .desc {
		font-size: 21px;
	}
}
@media (max-width: 900px) {
	:root {
		--sp-grid-gap: 13px;
	}
	.subpageBody.introAboutus .subpage__grid {
		height: auto;
		grid-template-columns: 1fr;
	}
}
@media (max-width: 768px) {
	:root {
		--sp-title-h: 270px;
		--sp-title-text-fs: 32px;
		--sp-submenu-item-fs: 14px;
		--sp-submenu-item-h: 50px;
		--sp-submenu-item-gap: 30px;
	}
	.subpageBody {
		margin: 0 0 45px 0;
	}
	.section.subpageBody .section__inner {
		padding: 64px 10px;
	}

	/* HISTORY */
	:root {
		--sp-grid-history-pair-left: 48px;
	}
	.subpageBody.history .history__grid {
		grid-template-columns: 1fr;
	}
	.history__left {
		font-size: 24px;
		padding: 38px 0 0 10px;
	}
	.history__right {
		padding: 25px 10px 45px 0;
	}
	.historyPair {
		margin-top: 24px;
	}
	.historyPair .month {
		font-size: 18px;
	}
	.historyPair .desc {
		font-size: 18px;
		padding-left: 0;
	}

	.partner__group .title {
		font-size: 20px;
	}
	.partner__group .items {
		display: block;
	}
	.partner__group .items .item {
		margin-bottom: 25px;
	}
	.partner__group .items .item .desc {
		font-size: 18px;
	}

	.subpageBody.location .location__info .location__grid {
		grid-template-columns: 1fr;
	}
	.location__grid .location__left {
		padding: 15px 15px 0 15px;
	}
	.location__grid .location__right {
		padding: 0 15px 15px 15px;
	}
	.mapLinks img {
		width: 40px;
	}

}